Skip to main content
GET
/
v1
/
project
/
{projectName}
/
environment
/
{environmentName}
/
activity-logs
List activity logs
curl --request GET \
  --url https://public-api.forestadmin.com/v1/project/{projectName}/environment/{environmentName}/activity-logs \
  --header 'Authorization: Bearer <token>'
{
  "hasMore": false,
  "parameters": {
    "projectName": "Forest",
    "environmentName": "Production",
    "limit": 10
  },
  "data": [
    {
      "object": "activityLog",
      "id": "rbCb98wCZ1y-_zv4wrXz",
      "type": "write",
      "action": "update",
      "label": "updated",
      "recordIds": [
        "42"
      ],
      "createdAt": "2024-03-14T15:09:26.535Z",
      "user": {
        "object": "user",
        "id": 1,
        "username": "alice",
        "email": "alice@forestadmin.com"
      },
      "environment": {
        "object": "environment",
        "name": "Production"
      },
      "collection": {
        "object": "collection",
        "name": "subscriptions"
      },
      "team": {
        "object": "team",
        "name": "Sales"
      }
    },
    {
      "object": "activityLog",
      "id": "fHCb9IXCZ1y_Pzv4wrXz",
      "type": "write",
      "action": "startProcessingInboxTask",
      "label": "assigned to",
      "recordIds": [
        "4242"
      ],
      "createdAt": "2024-03-14T15:09:26.535Z",
      "user": {
        "object": "user",
        "id": 2,
        "username": "bob",
        "email": "bob@forestadmin.com"
      },
      "environment": {
        "object": "environment",
        "name": "Production"
      },
      "collection": {
        "object": "collection",
        "name": "subscriptions"
      },
      "team": {
        "object": "team",
        "name": "Operations"
      },
      "inbox": {
        "object": "inbox",
        "name": "Ids check"
      }
    },
    {
      "object": "activityLog",
      "id": "vEgu7pYBRgCf1BhhPe83",
      "type": "write",
      "action": "completeWorkflow",
      "label": "completed the workflow \"KYC Process\"",
      "recordIds": [
        "74"
      ],
      "createdAt": "2025-05-20T14:52:09.909Z",
      "user": {
        "object": "user",
        "id": 2,
        "username": "bob",
        "email": "bob@forestadmin.com"
      },
      "environment": {
        "object": "environment",
        "name": "Production"
      },
      "collection": {
        "object": "collection",
        "name": "subscriptions"
      },
      "team": {
        "object": "team",
        "name": "Operations"
      },
      "workflow": {
        "object": "workflow",
        "name": "KYC Process",
        "runId": "26",
        "stepName": "Migrate user for next step"
      }
    }
  ]
}
The token must be generated by a user with an Admin role on the project. Tokens generated by non-admin users will not have access to this endpoint.
If your project uses SSO, the application token must be generated while logged in with SSO.

Authorizations

Authorization
string
header
required

Bearer authentication

Path Parameters

environmentName
string
required

The case sensitive environment name

Minimum string length: 1
projectName
string
required

The case sensitive project name

Minimum string length: 1

Query Parameters

limit
integer
default:10

This specifies a limit on the number of objects to return, ranging between 1 and 100. Limit is set to 10 by default

Required range: 1 < x <= 100
userEmail
string<email>

The user email

userId
integer

The user id

Required range: x >= 1
teamName
string

The team name

Minimum string length: 1
collectionName
string

The collection name (same as in the schema).

Minimum string length: 1
recordId
string

The record id

Minimum string length: 1
action
enum<string>

The action performed

Available options:
create,
read,
update,
delete,
action,
search,
filter,
listRelatedData,
describeCollection,
index,
select,
dashboard,
workspace,
export,
createNote,
openNote,
deleteNote,
createMessage,
createApproval,
approveApproval,
rejectApproval,
ignoreApprovalWarning,
markApprovalAsFailed,
startProcessingInboxTask,
completeInboxTask,
cancelInboxTask,
cancelInboxTaskNotTreated,
autoCancelInboxTask,
assignUserToInboxTask,
unassignUserFromInboxTask,
sendApprovalBackInReview,
triggerWorkflow,
abortWorkflow,
completeWorkflow,
selectWorkflowOption,
completeWorkflowStep,
reviseWorkflowStep,
resumeWorkflow
type
enum<string>

The type of the activity log

Available options:
read,
write
createdAt.eq
string<date-time>

Value to filter by

createdAt.lt
string<date-time>

Maximum value to filter by (exclusive). This filter supports date-time values in ISO 8601 format (YYYY-MM-DDTHH:MM), e.g., 2024-06-04T09:21:26.159Z.

createdAt.lte
string<date-time>

Minimum value to filter by (inclusive). This filter supports date-time values in ISO 8601 format (YYYY-MM-DDTHH:MM), e.g., 2024-06-04T09:21:26.159Z.

createdAt.gt
string<date-time>

Minimum value to filter by (exclusive). This filter supports date-time values in ISO 8601 format (YYYY-MM-DDTHH:MM), e.g., 2024-06-04T09:21:26.159Z.

createdAt.gte
string<date-time>

Maximum value to filter by (inclusive). This filter supports date-time values in ISO 8601 format (YYYY-MM-DDTHH:MM), e.g., 2024-06-04T09:21:26.159Z.

Response

List of activity logs

hasMore
boolean
required

Whether or not there are more elements available after this set. If false, this set comprises the end of the list.

data
object[]
required
parameters
object
required

The parameters used to fetch the activity logs